## windowlab 1.40

=== debian/changelog ===
windowlab (1.40-1) unstable; urgency=low

  * New upstream release.
    + Closes: #575793
    + debian/patches/20_manpage.patch: Trivially updating.
  * debian/copyright: Separation of license formulations.
    + Mention licensing of externally fetched code snippet.
  * Elementary migration to format "3.0 (quilt)".
    + debian/rules: Clean up among subtargets and stamps.
    + debian/README.source: Deleted.
    + debian/control: Removed quilt from build dependency.
  * Standards 3.8.4: No changes.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 27 Apr 2010 14:27:19 +0200

windowlab (1.39-1) unstable; urgency=low

  * New upstream release.
  * Describe quilt patches according to DEP-3.
  * Rework debian/copyright to follow DEP-5.
    - Attempt an exhaustive list of copyright holders.
  * debian/control: remove a capital letter in the short description.
  * Remove 'README.source' from binary package.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 04 Jan 2010 12:33:27 +0100

windowlab (1.38-1) unstable; urgency=low

  * New upstream release.
  * New maintainer. (Closes: #545798)
  * Prune duplicate fields in the control file.
  * Comment on the actions in each patch file to be used by Quilt.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 19 Nov 2009 23:56:01 +0100

windowlab (1.37-1) unstable; urgency=low

  * Inclusion of previously neglected upstream documentation.
  * Inclusion of the previous maintainers Debian documention:
    + README.source and TODO.Debian.
  * Addition of a newly created README.Debian.
  * Reverted to "pkill -INT" in file debian/update_menu/common_menu.
  * The upstream source now implements a menu entry "Reload" based
    on a our addition to the source code. This completes one entry
    in the Debian TODO list.
  * Quilt patches 30 and 40 are no longer needed. Upstream author
    has accepted our patches.
  * Updated the quilt patch 20_manpage.patch to mention the new use
    of SIGHUP in reloading the menu configuration for running Windowlab.
  * Created quilt patch 30_reload_signaling.patch. This intends to
    take care of signals and allocation needed to provide dependable
    execution in Lenny release. Etch did not need this!

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 14 Oct 2009 19:17:12 +0200

windowlab (1.34-2) unstable; urgency=low

  * Non-maintainer upload at mentors.debian.net.
  * debian/control: Added recommended fields for binary package.
    + Adjusted line breaks in Description.
  * debian/update-menu:
    + common_menu: Exchanged "skill" for "pkill -KILL".
    + SIGINT and SIGTERM do not work even with every terminal emulator!
  * Quilt source 20_manpage.patch:
    + Manpage version is now 1.34.
    + Corrected reference to: ~/.windowlab/windowlab.menurc
  * New quilt patch: 30_misc_waitpid.patch.
    + Corrects the signalhandler to use waitpid on SIGCHLD.
    + This takes care of a race condition at closedown.
  * New quilt patch: 40_client_focusing.patch.
    + Reverts a single change to status of windowlab-1.33.
    + The upstream source broke a mechanism for multiple windows.
  * Registering x-window-manager at priority 40.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 14 Sep 2009 11:50:10 +0200

windowlab (1.34-1) unstable; urgency=low

  * QA upload.
  * New Upstream release
  * debian/control: Add Homepage field, remove from description
  * Switch to debhelper instead of cdbs
  * Use quilt for patch management
    + Add README.source to explain how to use quilt
  * Update 10_makefile.patch to pass LDFLAGS to linker
  * debian/rules: Add get-orig-source target
    + Upstream only provides .tar, not .tar.gz and all files are executable.
  * debian/menu: Change section to "Window Manager" (with space)
  * Bump Standards Version to 3.8.0
  * Update 10_makefile.patch to not call install with -s option
    (Closes: 438264)
  * Build-depend on libxext-dev as libx11-dev no longer does so
    (Closes: 486978)
  * Update debian/copyright, and point to GPL-2

 -- Ansgar Burchardt <ansgar@43-1.org>  Sat, 21 Jun 2008 18:06:25 +0200

windowlab (1.33-4) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA Group; Orphaned: #410618
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Mon, 26 Feb 2007 09:27:01 +0100

windowlab (1.33-3) unstable; urgency=low

  * Added Xft support in the Makefile, thanks to David-Ansat Sonntag.
  * debian/menu
    - added full path to windowlab executable.
  * Build-Depends: debhelper (>= 4.1.0)

 -- Stan Vasilyev <stan.vasilyev@csun.edu>  Tue, 28 Feb 2006 14:46:45 -0800

windowlab (1.33-2) unstable; urgency=low

  * New maintainer. (Closes: #327438)
  * Initial Debian Menu implementation.
    - Added info about the new feature in the manpage
  * Fixed "/usr/bin/ld: cannot find -lX11" during build.
  * Upgraded to CDBS and simple patch system in debian/rules.
  * Updated long description in debian/control.
  * Moved all changes to upstream source into debian dir and patches. 

 -- Stan Vasilyev <stan.vasilyev@csun.edu>  Fri, 27 Jan 2006 00:00:24 -0800

windowlab (1.33-1) unstable; urgency=low

  * QA upload.
  * New upstream release.

 -- Matej Vela <vela@debian.org>  Tue, 18 Oct 2005 00:43:52 +0200

windowlab (1.32-2) unstable; urgency=low

  * QA upload.
  * Package is orphaned (see #327438); set maintainer to Debian QA Group.
  * debian/menu: Add.  Closes: #321245.
  * debian/postinst, debian/prerm: Let dh_installwm handle alternatives.

 -- Matej Vela <vela@debian.org>  Sat, 24 Sep 2005 19:00:48 +0200

windowlab (1.32-1) unstable; urgency=low

  * New upstream release
  * Using shlibs depends (Closes: #320421)

 -- Nigel Jones <nigelj@gmail.com>  Sat, 30 Jul 2005 17:07:25 +1200

windowlab (1.31-1) unstable; urgency=low

  * Initial release for Debian (Closes: #311866)

 -- Nigel Jones <nigelj@gmail.com>  Mon, 11 Jul 2005 14:57:28 +1200
