=== debian/control ===
Source: windowlab
Section: x11
Priority: optional
Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
Build-Depends: debhelper (>= 7), libx11-dev, libxext-dev, libxft-dev (>= 2.0.0), pkg-config
Standards-Version: 3.8.4
Homepage: http://www.nickgravgaard.com/windowlab/

Package: windowlab
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-window-manager
Suggests: vdesk
Description: small and simple Amiga-like window manager
 WindowLab is a Window Manager for the X Window System. Features include 
 click-to-focus, a simple menu/taskbar combination and integration with
 Debian menu system and Xsessions subsystem.
 .
 WindowLab is incredibly fast and small. It is suitable for lightweight
 systems. Virtual desktops are easily contructed using the independent
 package "vdesk".
