=== debian/rules ===
#!/usr/bin/make -f

WINDOWLAB_VERSION = 1.40
WINDOWLAB_MD5SUM  = 346f8c187838a446b4cbb2326d035577
WINDOWLAB_TARBALL = windowlab-$(WINDOWLAB_VERSION).tar

get-orig-source:
	@if [ -e $(WINDOWLAB_TARBALL) -o -e windowlab-$(WINDOWLAB_VERSION) \
	  -o -e windowlab-$(WINDOWLAB_VERSION).tar.gz ] ; then \
	  echo "target files or temporary files do already exist" >&2 ; \
	  false ; \
	fi
	#
	wget -nv http://nickgravgaard.com/windowlab/windowlab-$(WINDOWLAB_VERSION).tar
	#
	@MD5=$$(md5sum $(WINDOWLAB_TARBALL) | cut -d' ' -f 1) ; \
	if [ x$$MD5 != x$(WINDOWLAB_MD5SUM) ] ; then \
	  echo "MD5 sum of upstream tarball has changed." >&2 ; \
	  echo "  expected: $(WINDOWLAB_TARBALL)" >&2 ; \
	  echo "       got: $$MD5" >&2 ; \
	  false ; \
	else \
	  echo "MD5 sum ok." ; \
	fi

	tar xf windowlab-$(WINDOWLAB_VERSION).tar
	chmod 0644 windowlab-$(WINDOWLAB_VERSION)/*
	tar cfz windowlab-$(WINDOWLAB_VERSION).tar.gz windowlab-$(WINDOWLAB_VERSION)
	rm -rf windowlab-$(WINDOWLAB_VERSION).tar windowlab-$(WINDOWLAB_VERSION)

build:
	dh $@

clean:
	dh $@

install: build
	dh install --before dh_installwm
	dh_installwm --priority=40
	dh install --remaining
	chmod +x debian/windowlab/usr/lib/windowlab/create_menu.sh
	chmod +x debian/windowlab/etc/menu-methods/windowlab

binary-arch: install
	dh $@

binary-indep: install
	dh $@

binary: install
	dh $@
