=== debian/watch ===
version=3
http://www.nickgravgaard.com/windowlab/windowlab-(.*)\.tar debian
