=== debian/changelog ===
windowlab (1.40+git20240604.1cba02c-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version (latest commit)
  * Maintain in Salvage team
    Closes: #1115166
  * Update Homepage
  * Point watch file to latest Git commit
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * d/copyright: Update Source URL
  * Trim trailing whitespace.
  * d/rules: Drop get-orig-source since watch file works
  * Add debian/upstream/metadata
  * Set upstream metadata fields: Bug-Submit.
  * Permit failure of blhc in Salsa CI

  [ Helmut Grohne ]
  * Do not hard code the build architecture pkg-config in upstream Makefile
    Closes: #941313

 -- Andreas Tille <tille@debian.org>  Sat, 13 Sep 2025 22:30:05 +0200

windowlab (1.40-3) unstable; urgency=low

  * Step Standards-Version to 3.9.7, no changes.
  * Advance debhelper compatibility to 9.
    + debian/control, debian/compat: Updated.
    + debian/rules: Reduce rule set to use dh together with hooks
      "override_dh_install" and "override_dh_installwm".
  * debian/windowlab.postrm: New file. (Closes: #806403).
  * debian/copyright: Use single word names for licenses AEWM and 9WM.
    Correctly rebuild the default files stanza to be 9WM, AEWM and GPL-2,
    simultaneously, which is what the upstream author specifies.
  * [lintian] debian/control: Spelling error in description text.
  * [lintian] debian/windowlab.desktop: Add an entry for Keywords.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 16 Mar 2016 23:06:31 +0100

windowlab (1.40-2) unstable; urgency=low

  * debian/control:
    + Standards 3.9.4: No changes.
    + Add build dependency on dpkg-dev (>= 1.15.7).
    + Mend Homepage with correct server location.
  * debian/rules:
    + Add targets build-arch and build-indep.
    + Hardening flags.
  * debian/copyright: Update format and URL.
    + Cite 9wm's license from that package and express
      it separately from the license of aewm.
  * debian/watch: Correction to URL.
  * debian/windowlab.desktop: Conform with standards.
  * debian/patches/10_makefile.patch: Update.
    + Activate MWM hints.
    + Avoid explicit linking "-L/usr/lib". (Closes: #722865)
  * debian/patches/30_root_focus.diff: New file.
    + Pointer visibility error. (Closes: #630494)

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 14 Sep 2013 11:43:16 +0200
