=== debian/control ===
Source: windowlab
Standards-Version: 4.7.2
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders:
 Mats Erik Andersson <mats.andersson@gisladisker.se>,
 Andreas Tille <tille@debian.org>,
Section: x11
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libx11-dev,
 libxext-dev,
 libxft-dev,
 pkgconf,
Vcs-Browser: https://salsa.debian.org/salvage-team/windowlab
Vcs-Git: https://salsa.debian.org/salvage-team/windowlab.git
Homepage: https://github.com/nick-gravgaard/windowlab

Package: windowlab
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Suggests:
 vdesk,
Provides:
 x-window-manager,
Description: small and simple Amiga-like window manager
 WindowLab is a Window Manager for the X Window System. Features include
 click-to-focus, a simple menu/taskbar combination and integration with
 Debian menu system and Xsessions subsystem.
 .
 WindowLab is incredibly fast and small. It is suitable for lightweight
 systems. Virtual desktops are easily constructed using the independent
 package "vdesk".
