=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS  = $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
export CPPFLAGS CFLAGS LDFLAGS

%:
	dh $@

override_dh_install:
	dh_install
	chmod +x debian/windowlab/usr/lib/windowlab/create_menu.sh
	chmod +x debian/windowlab/etc/menu-methods/windowlab

override_dh_auto_install:
	echo "Use dh_instal"

override_dh_installwm:
	dh_installwm --priority=40
