=== debian/watch ===
version=4

opts="mode=git,pretty=1.40+git%cd.%h" \
    https://github.com/nick-gravgaard/windowlab.git HEAD
